package com.unicorn.hgzero.meeting.biz.usecase.out;

import com.unicorn.hgzero.meeting.biz.domain.Template;

/**
 * 템플릿 저장 Gateway Interface (Out Port)
 */
public interface TemplateWriter {

    /**
     * 템플릿 저장
     */
    Template save(Template template);

    /**
     * 템플릿 삭제
     */
    void delete(String templateId);
}
